Loading...
Searching...
No Matches
_addrxlat_cb Struct Reference

Callback function pointers and data. More...

`#include <addrxlat.h>`

## Data Fields

const addrxlat_cb_t * | next
| Next chained callback definitions.
void * | priv
| Private data to be used by the callback.
addrxlat_get_page_fn * | get_page
| Callback to get a page buffer.
addrxlat_read_caps_fn * | read_caps
| Read capabilities callback.
addrxlat_cb_reg_value_fn * | reg_value
| Register value callback.
addrxlat_cb_sym_value_fn * | sym_value
| Symbol value callback.
addrxlat_cb_sym_sizeof_fn * | sym_sizeof
| Symbol size callback.
addrxlat_cb_sym_offsetof_fn * | sym_offsetof
| Element offset callback.
addrxlat_cb_num_value_fn * | num_value
| Number value callback.

## Detailed Description

Callback function pointers and data.

## Field Documentation

## priv

void* _addrxlat_cb::priv

Private data to be used by the callback.

This field is reserved for use by the callbacks. The library will not touch it.

The documentation for this struct was generated from the following file:

- include/libkdumpfile/addrxlat.h